=== debian/control ===
Source: ros-kinetic-stdr-gui
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, ros-kinetic-catkin, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-stdr-msgs, ros-kinetic-stdr-parser, ros-kinetic-stdr-robot, ros-kinetic-stdr-server, ros-kinetic-tf
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-kinetic-stdr-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-stdr-msgs, ros-kinetic-stdr-parser, ros-kinetic-stdr-robot, ros-kinetic-stdr-server, ros-kinetic-tf
Description: A gui in Qt for visualizing purposes in STDR Simulator.
